# std::packaged_task::valid

From cppreference.com
< cpp‎ | thread‎ | packaged task

bool valid() const; |  | (since C++11)

Checks whether *this has a shared state.

### Parameters

(none)

### Return value

true if *this has a shared state, false otherwise.

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/thread/packaged_task/valid&oldid=91670"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template